Help BGLComp error

#1
Hi all,
I have an error when I try to compile to BGL, also with default airport without changes.

The log in attachment.

Thank you and sorry for my english.

Great Program.:santahat:


Fabiano
 

Attachments

#2
Hi Fabiano
I have just compiled LIPX to a BGL without problem
can you please run the fault finder for the default LIPX to see if you get a fault


Ray
 
#3
Hi Fabiano,

I was able to compile LIPX without a problem.

Do you have a non-English version of Windows? It could be that BglComp is expecting a ',' instead of a '.' as the decimal separator.

From Control Panel/Regional and Language/Regional Options, select English then run ADE and try to compile.

George

sorry for my english.
Your English is fine.

Edit. I have tried it by setting the language to Italian(Italy) and it also compiled. Perhaps it is the regional version of BglComp which requires a "," as a decimal separator. If so, we will need to wait for Jon to pick up on this. He should be available after Friday.
 
Last edited:
#4
Thanks glottis and G-HD,
there is no errors in ADE Fault Finder and I try to change decimal separator without success.
I suspect is a XML parsers's problem, now reinstall MSXML and see what happens.


Quote:
Your English is fine

the google translate help me a lot:p
 
#5
Which version of the BGLcompiler do you use?

Do you have SDK SP1 installed? or SP2(through Acc-pack) or just the "plain" SDK without updates?

Could you try to see if the test-radius is "big enough" ?

If you zoom out, you will see a big red circle. this indicates the test-radius, please be sure that the airport is within this circle completely.
 

scruffyduck

Administrator
Staff member
FSDevConf team
Resource contributor
#6
I suspect you are using the original version of BglComp for FSX - it could not handle boundary fences (and that is the error you have). Make sure you are running the latest versions of both BglComp.exe and BglComp.xsd
 
#7
I suspect you are using the original version of BglComp for FSX - it could not handle boundary fences (and that is the error you have). Make sure you are running the latest versions of both BglComp.exe and BglComp.xsd

BINGO!
I never installed the SDK SP1 :banghead:

Now work fine!
Thank You Jon and other who help me.
And now let's go!
 
Top